/*
 * CrudContainer
 * Copyright (C) 2011 by Apaq
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package dk.apaq.filter;

import java.util.List;

/**
 * Interface for a Filter that contains subfilters. This is used in filter like
 * AndFilter, OrFilter etc. which generates its result based on other filters result.
 */
public interface FilterContainer extends Filter {

    public void addFilter(Filter filter);
    public void removeFilter(Filter filter);
    public List<Filter> getFilters();
}
